summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTim Harder <radhermit@gentoo.org>2017-05-19 20:35:20 -0400
committerTim Harder <radhermit@gentoo.org>2017-05-19 20:37:29 -0400
commite366b80beae12fff4fb03dd0c2b393920b14e7e9 (patch)
treef83f7457e8f9ba3a7a2bb1603b7289af8d398a36 /dev-python/nltk
parentmedia-sound/mpd: version bump to 0.20.8 (diff)
downloadgentoo-e366b80beae12fff4fb03dd0c2b393920b14e7e9.tar.gz
gentoo-e366b80beae12fff4fb03dd0c2b393920b14e7e9.tar.bz2
gentoo-e366b80beae12fff4fb03dd0c2b393920b14e7e9.zip
dev-python/nltk: version bump to 3.2.3
Diffstat (limited to 'dev-python/nltk')
-rw-r--r--dev-python/nltk/Manifest1
-rw-r--r--dev-python/nltk/nltk-3.2.3.ebuild31
2 files changed, 32 insertions, 0 deletions
diff --git a/dev-python/nltk/Manifest b/dev-python/nltk/Manifest
index cefb7b79a31..8dbaff61af5 100644
--- a/dev-python/nltk/Manifest
+++ b/dev-python/nltk/Manifest
@@ -1,2 +1,3 @@
DIST nltk-3.0.3.tar.gz 1011266 SHA256 28d6175984445b9cdcc719f36701f034320edbecb78b69a37d1edc876843ea93 SHA512 b058642670166bff538e2c1c417ffb2e57a217a9f3a056475ad47ffa222df7237bfb4ac00a58952dc6f79f12a32e3a40bf53a96262a4b3caced64c2c09abdfc3 WHIRLPOOL 4201a7d6219f437b8e8df2b7c88ae48578e69825c4fe067d777c92b24bd819172b6a831d2ed51de07a3b52bda20f5c559e2da0dcfde58cafca57c811bbb23cd2
DIST nltk-3.2.2.tar.gz 1153499 SHA256 1b37db344770021c9be3d68f48d1667a8dae6eeff0e502b7bfb01638d288a88e SHA512 7a9aba4db26bc091bcba248156f74353a55cae0301ff3d675e55615967a0a1163d2d1db4e4bc51a953ced3c28d0b330a7949f4f9ec3621df300dcad23877a556 WHIRLPOOL c424e9290ffa6af3cbd4576caab28e44afa138001106243c3309e927e53f88bb642ea495be2623abb9635eeb1676dabf5588bcd090c5aff7395cc0763aa52fe7
+DIST nltk-3.2.3.tar.gz 1166282 SHA256 8734e180ba255562971aca8881f330201666e6ac63c8a1cd853e067eb827bcb1 SHA512 2e5c0899c29f61166b2e161e62e81fd35e045bda979fbfa662bf9ad1349be4aae6aabe4b9de34905e2abbc05b06a096480829fd66638efa35cd5c866f76c62e8 WHIRLPOOL 54791d2d19c973dc4024b701fbd6474013695765b4ffe81b92b9bc9865bbce91c56bd3c30b82cf7b45861cc6f828832796f4dd30363c97366470c485ca82c6d5
diff --git a/dev-python/nltk/nltk-3.2.3.ebuild b/dev-python/nltk/nltk-3.2.3.ebuild
new file mode 100644
index 00000000000..ccf9c62b9c3
--- /dev/null
+++ b/dev-python/nltk/nltk-3.2.3.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
+PYTHON_REQ_USE="tk?,xml(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Natural Language Toolkit"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+HOMEPAGE="http://nltk.org/"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x86-solaris"
+IUSE="numpy test tk"
+
+RDEPEND="numpy? ( dev-python/numpy[${PYTHON_USEDEP}] )
+ dev-python/six[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/nose[${PYTHON_USEDEP}] )"
+
+# currently requires linguistic data to be downloaded separately
+RESTRICT="test"
+
+python_test() {
+ nosetests || die "Tests failed under ${EPYTHON}"
+}